Bug 1261400 - RFE: Figure out the role of the 'Interfaces' panel WRT modern gnome + networkmanager
RFE: Figure out the role of the 'Interfaces' panel WRT modern gnome + network...
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 05:01 EDT by stef
Modified: 2017-05-18 10:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
illustration of the problem (194.32 KB, image/jpeg)
2015-09-14 01:34 EDT, stef
no flags Details

  None (edit)
Description stef 2015-09-09 05:01:39 EDT
Description of problem:

First,

If you want to use KVM/qemu to make some VM on your computer you MUST have NetworkManager out of the way.

Why ?

Because : In my case I had eth0 managed by Network Manager and VM with their own macvtap interface.

First boot of the host, everything is okay, start the VM, no problem.
Reboot a VM, no more network for it.
networkctl shows the macvtapX interface is here, but nothing on ifconfig.

The only solution is to reboot the host ! No good at all.

Second,

-In the Virtual Machine Manager, open the Edit menu, open Connection Details
-Go to the Network Interfaces tab

As said in first point what you see here DOES NOT reflect your network if you're using NetworkManager. It is completely plain wrong.

If your network setting is based on the sysintV files, this part of the GUI will EDIT THOSE FILES if you make changes here. We can conclude that those preferences are just like the Network Preferences settings.

THIS IS UNCLEAR AND CONFUSING, is there a reason to toy with the host network interfaces here ? Aren't the system preferences in Gnome or whatever GUI here for that ?

Plus, it lies : my eth0 interface is set to use DHCP but in this GUI I can see it in Static Mode...

How reproducible:

always

Steps to Reproduce:
1.have NetworkManager managing your Network
2.set VM in macvtap network and play with it
3.disable NetworkManager and set your network with sysinitV files
4.play with your VM again

Actual results:

with NetworkManager the network its setting are a mess

Expected results:

NetworkManager or not the network behaviour is consistent and the displayed informations are too

My recommendation:

-remove the Network Interfaces tab in Virtual Machine Manager GUI, or
-put a warning message in the Network Interfaces tab in Virtual Machine Manager GUI to tell to swith to sysinitV and do not use NetworkManager
Comment 1 Cole Robinson 2015-09-10 09:47:55 EDT
That macvtap issue should be pulled out of this and filed as a separate bug report.

I agree that the interfaces panel is confusing nowadays, but it's from a time when network manager didn't support bridges or bonds or vlans, and it was a lot easier to actually turn off networkmanager.

Nowadays the panel may not make sense, or may make sense in a reduced form, but it will take some thinking, so moving this to the upstream tracker.
Comment 2 stef 2015-09-14 01:34:22 EDT
Created attachment 1073051 [details]
illustration of the problem
Comment 3 yvan.masson 2017-05-18 10:49:33 EDT
Hi,

Many thanks for all the work already done.

Here is my 2 cents:
- Currently, many (most?) desktop run with Network Manager. Also, if I am not wrong, NM is also installed by default on RedHat/CentOS servers. This makes me think that virt-manager should be able to work with NM if it is installed.
- When using Gnome (at least with Debian Stretch - currently in freeze - with Gnome 3.22), it is difficult to configure a bridge interface: gnome-control-center does not allow creating bridge interfaces, and nm-connection-editor from NM is hidden (= must be started from command line). nm-connection-editor is also hidden in KDE, but I can't tell if they have a built-in replacement tool. So maybe dropping the network configuration from virt-manager is not a good solution for beginners.

Finally, but this is off topic, VirtualBox is not in Debian anymore (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=794466), so probably a few people will have a try with virt-manager.

Regards,
Yvan

Note You need to log in before you can comment on or make changes to this bug.